Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::MonitorBase Class Reference

`#include <BaseMonitor.h>`

Inheritance diagram for CIAO::MonitorBase:

[legend]
List of all members.

## Public Member Functions
virtual | ~MonitorBase ()
virtual int | initialize_params (::Deployment::Domain &domain,::Deployment::TargetManager_ptr target_manager, int interval)=0
virtual int | start (CORBA::ORB_ptr)=0
virtual int | stop ()=0
virtual ::Deployment::Domain * | get_current_data ()=0

## Constructor & Destructor Documentation

virtual CIAO::MonitorBase::~MonitorBase | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual ::Deployment::Domain* CIAO::MonitorBase::get_current_data | ( |  | ) | `[pure virtual]`

| get_current_data Returns: ::Deployment::Domain* The current Domain data This function is called by the controller to get the current data. Implemented in CIAO::CIAO_Monitor.

virtual int CIAO::MonitorBase::initialize_params | ( | ::Deployment::Domain & | domain,
|  | ::Deployment::TargetManager_ptr | target_manager,
|  | int | interval
| ) | `[pure virtual]`

  | initialize_params Parameters:
  | domain | The Initital domain for this host
  | target_manager | TargetManager_ptr
  | interval | The time interval after whic updates need to be send. This function is called by the controller to initialize parameters.
Implemented in CIAO::CIAO_Monitor.

virtual int CIAO::MonitorBase::start | ( | CORBA::ORB_ptr |  | ) | `[pure virtual]`

  | start Parameters:
  | ORB_ptr | The ORB pointer This function is called by the controller to start up the monitor.
Implemented in CIAO::CIAO_Monitor.

virtual int CIAO::MonitorBase::stop | ( |  | ) | `[pure virtual]`

| stop This function is called by the controller to stop the monitor. Implemented in CIAO::CIAO_Monitor.

The documentation for this class was generated from the following file:

- BaseMonitor.h